//PLEASE EDIT THE PATHS TO FIT YOUR OWN FOR THE CODE TO WORK

//CHARTS FOR 10-YEAR BOND

forvalues i=1(1)19{
	
	use "...data.dta"
	


	use if id==`i' using data
	
	tsset mdate1
	
	rolling _b _se, window(120) saving(betas10y_hh_`i', replace): regress hh_hp bond10y
	
	rolling _b _se, window(120) saving(betas10y_nfcst_`i', replace): regress nfc_st bond10y
	
	rolling _b _se, window(120) saving(betas10y_nfclt_`i', replace): regress nfc_lt bond10y
	
	
	
	//Graph for HH
	use betas10y_hh_`i' 
	
	generate upper=_b_bond10y + 1.96*_se_bond10y
	generate lower=_b_bond10y - 1.96*_se_bond10y
	
	rename start mdate1
	
	//merge 1:1 time using data.dta, keepusing(mdate1) keep(3)
	
	save betas10y_hh_`i', replace
	
	line lower _b_bond10y upper mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs\betas10y_hh_`i'.gph, replace
	
	//Graph for nfcst
	use betas10y_nfcst_`i' 
	
	generate upper=_b_bond10y + 1.96*_se_bond10y
	generate lower=_b_bond10y - 1.96*_se_bond10y
	
	rename start mdate1
	
	save betas10y_nfcst_`i', replace
	
	line lower _b_bond10y upper mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs\betas10y_nfcst_`i'.gph, replace
	
	//Graph for nfclt
	
	use betas10y_nfclt_`i' 
	
	generate upper=_b_bond10y + 1.96*_se_bond10y
	generate lower=_b_bond10y - 1.96*_se_bond10y
	
	rename start mdate1
	
	save betas10y_nfclt_`i', replace
	
	line lower _b_bond10y upper mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs\betas10y_nfclt_`i'.gph, replace
	
	clear
}

graph combine betas10y_hh_1.gph betas10y_hh_2.gph betas10y_hh_3.gph betas10y_hh_4.gph betas10y_hh_5.gph betas10y_hh_6.gph betas10y_hh_7.gph betas10y_hh_8.gph betas10y_hh_9.gph betas10y_hh_10.gph betas10y_hh_11.gph betas10y_hh_12.gph betas10y_hh_13.gph betas10y_hh_14.gph betas10y_hh_15.gph betas10y_hh_16.gph betas10y_hh_17.gph betas10y_hh_18.gph betas10y_hh_19.gph

graph export combined_hh10y.png

graph combine betas10y_nfcst_1.gph betas10y_nfcst_2.gph betas10y_nfcst_3.gph betas10y_nfcst_4.gph betas10y_nfcst_5.gph betas10y_nfcst_6.gph betas10y_nfcst_7.gph betas10y_nfcst_8.gph betas10y_nfcst_9.gph betas10y_nfcst_10.gph betas10y_nfcst_11.gph betas10y_nfcst_12.gph betas10y_nfcst_13.gph betas10y_nfcst_14.gph betas10y_nfcst_15.gph betas10y_nfcst_16.gph betas10y_nfcst_17.gph betas10y_nfcst_18.gph betas10y_nfcst_19.gph

graph export combined_nfcst10y.png

graph combine betas10y_nfclt_1.gph betas10y_nfclt_2.gph betas10y_nfclt_3.gph betas10y_nfclt_4.gph betas10y_nfclt_5.gph betas10y_nfclt_6.gph betas10y_nfclt_7.gph betas10y_nfclt_8.gph betas10y_nfclt_9.gph betas10y_nfclt_10.gph betas10y_nfclt_11.gph betas10y_nfclt_12.gph betas10y_nfclt_13.gph betas10y_nfclt_14.gph betas10y_nfclt_15.gph betas10y_nfclt_16.gph betas10y_nfclt_17.gph betas10y_nfclt_18.gph betas10y_nfclt_19.gph

graph export combined_nfclt10y.png


//CHARTS FOR 5Y BOND
	
forvalues i=1(1)19{
	
	use "...data.dta"
	
	use if id==`i' using data
	
	tsset time
	
	rolling _b _se, window(120) saving(betas5y_hh_`i', replace): regress hh_hp bond5y
	
	rolling _b _se, window(120) saving(betas5y_nfcst_`i', replace): regress nfc_st bond5y
	
	rolling _b _se, window(120) saving(betas5y_nfclt_`i', replace): regress nfc_lt bond5y
	
	//Graph for HH
	use betas5y_hh_`i' 
	
	generate upper=_b_bond5y + 1.96*_se_bond5y
	generate lower=_b_bond5y - 1.96*_se_bond5y
	
	rename start time
	
	merge 1:1 time using data.dta, keepusing(mdate1) keep(3)
	
	save betas5y_hh_`i', replace
	
	line lower _b_bond5y upper mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs\betas5y_hh_`i'.gph, replace
	
	//Graph for nfcst
	use betas5y_nfcst_`i' 
	
	generate upper=_b_bond5y + 1.96*_se_bond5y
	generate lower=_b_bond5y - 1.96*_se_bond5y
	
	rename start time
	
	merge 1:1 time using data.dta, keepusing(mdate1) keep(3)
	
	save betas5y_nfcst_`i', replace
	
	line lower _b_bond5y upper mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs\betas5y_nfcst_`i'.gph, replace
	
	//Graph for nfclt
	
	use betas5y_nfclt_`i' 
	
	generate upper=_b_bond5y + 1.96*_se_bond5y
	generate lower=_b_bond5y - 1.96*_se_bond5y
	
	rename start time
	
	merge 1:1 time using data.dta, keepusing(mdate1) keep(3)
	
	save betas5y_nfclt_`i', replace
	
	line lower _b_bond5y upper mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs\betas5y_nfclt_`i'.gph, replace
	
	clear
}

graph combine betas5y_hh_1.gph betas5y_hh_2.gph betas5y_hh_3.gph betas5y_hh_4.gph betas5y_hh_5.gph betas5y_hh_6.gph betas5y_hh_7.gph betas5y_hh_8.gph betas5y_hh_9.gph betas5y_hh_5.gph betas5y_hh_11.gph betas5y_hh_12.gph betas5y_hh_13.gph betas5y_hh_14.gph betas5y_hh_15.gph betas5y_hh_16.gph betas5y_hh_17.gph betas5y_hh_18.gph betas5y_hh_19.gph

graph export combined_hh5y.png

graph combine betas5y_nfcst_1.gph betas5y_nfcst_2.gph betas5y_nfcst_3.gph betas5y_nfcst_4.gph betas5y_nfcst_5.gph betas5y_nfcst_6.gph betas5y_nfcst_7.gph betas5y_nfcst_8.gph betas5y_nfcst_9.gph betas5y_nfcst_5.gph betas5y_nfcst_11.gph betas5y_nfcst_12.gph betas5y_nfcst_13.gph betas5y_nfcst_14.gph betas5y_nfcst_15.gph betas5y_nfcst_16.gph betas5y_nfcst_17.gph betas5y_nfcst_18.gph betas5y_nfcst_19.gph

graph export combined_nfcst5y.png

graph combine betas5y_nfclt_1.gph betas5y_nfclt_2.gph betas5y_nfclt_3.gph betas5y_nfclt_4.gph betas5y_nfclt_5.gph betas5y_nfclt_6.gph betas5y_nfclt_7.gph betas5y_nfclt_8.gph betas5y_nfclt_9.gph betas5y_nfclt_5.gph betas5y_nfclt_11.gph betas5y_nfclt_12.gph betas5y_nfclt_13.gph betas5y_nfclt_14.gph betas5y_nfclt_15.gph betas5y_nfclt_16.gph betas5y_nfclt_17.gph betas5y_nfclt_18.gph betas5y_nfclt_19.gph

graph export combined_nfclt5y.png

//CHARTS FOR 2Y BOND

forvalues i=1(1)19{
	
	use "...data.dta"
	
	use if id==`i' using data
	
	tsset time
		
	rolling _b _se, window(120) saving(betas2y_hh_`i', replace): regress hh_hp bond2y
	
	rolling _b _se, window(120) saving(betas2y_nfcst_`i', replace): regress nfc_st bond2y
	
	rolling _b _se, window(120) saving(betas2y_nfclt_`i', replace): regress nfc_lt bond2y
	
	//Graph for HH
	use betas2y_hh_`i' 
	
	generate upper=_b_bond2y + 1.96*_se_bond2y
	generate lower=_b_bond2y - 1.96*_se_bond2y
	
	rename start time
	
	merge 1:1 time using data.dta, keepusing(mdate1) keep(3)
	
	save betas2y_hh_`i', replace
	
	line lower _b_bond2y upper mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs\betas2y_hh_`i'.gph, replace
	
	//Graph for nfcst
	use betas2y_nfcst_`i' 
	
	generate upper=_b_bond2y + 1.96*_se_bond2y
	generate lower=_b_bond2y - 1.96*_se_bond2y
	
	rename start time
	
	merge 1:1 time using data.dta, keepusing(mdate1) keep(3)
	
	save betas2y_nfcst_`i', replace
	
	line lower _b_bond2y upper mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs\betas2y_nfcst_`i'.gph, replace
	
	//Graph for nfclt
	
	use betas2y_nfclt_`i' 
	
	generate upper=_b_bond2y + 1.96*_se_bond2y
	generate lower=_b_bond2y - 1.96*_se_bond2y
	
	rename start time
	
	merge 1:1 time using data.dta, keepusing(mdate1) keep(3)
	
	save betas2y_nfclt_`i', replace
	
	line lower _b_bond2y upper mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs\betas2y_nfclt_`i'.gph, replace
	
	clear
	
	
	clear
	 
}

graph combine betas2y_hh_1.gph betas2y_hh_2.gph betas2y_hh_3.gph betas2y_hh_4.gph betas2y_hh_5.gph betas2y_hh_6.gph betas2y_hh_7.gph betas2y_hh_8.gph betas2y_hh_9.gph betas2y_hh_2.gph betas2y_hh_11.gph betas2y_hh_12.gph betas2y_hh_13.gph betas2y_hh_14.gph betas2y_hh_15.gph betas2y_hh_16.gph betas2y_hh_17.gph betas2y_hh_18.gph betas2y_hh_19.gph

graph export combined_hh2y.png

graph combine betas2y_nfcst_1.gph betas2y_nfcst_2.gph betas2y_nfcst_3.gph betas2y_nfcst_4.gph betas2y_nfcst_5.gph betas2y_nfcst_6.gph betas2y_nfcst_7.gph betas2y_nfcst_8.gph betas2y_nfcst_9.gph betas2y_nfcst_2.gph betas2y_nfcst_11.gph betas2y_nfcst_12.gph betas2y_nfcst_13.gph betas2y_nfcst_14.gph betas2y_nfcst_15.gph betas2y_nfcst_16.gph betas2y_nfcst_17.gph betas2y_nfcst_18.gph betas2y_nfcst_19.gph

graph export combined_nfcst2y.png

graph combine betas2y_nfclt_1.gph betas2y_nfclt_2.gph betas2y_nfclt_3.gph betas2y_nfclt_4.gph betas2y_nfclt_5.gph betas2y_nfclt_6.gph betas2y_nfclt_7.gph betas2y_nfclt_8.gph betas2y_nfclt_9.gph betas2y_nfclt_2.gph betas2y_nfclt_11.gph betas2y_nfclt_12.gph betas2y_nfclt_13.gph betas2y_nfclt_14.gph betas2y_nfclt_15.gph betas2y_nfclt_16.gph betas2y_nfclt_17.gph betas2y_nfclt_18.gph betas2y_nfclt_19.gph

graph export combined_nfclt2y.png

