//PLEASE EDIT THE PATHS TO FIT YOUR OWN FOR THE CODE TO WORK

//CHARTS FOR 10-YEAR and 3M

forvalues i=1(1)19{
	
	use "...data.dta"
	
	use if id==`i' using data
	
	tsset mdate1
	
	rolling _b _se, window(120) saving(betas10y3m_hh_`i', replace): regress hh_hp bond10y euribor3m
	
	rolling _b _se, window(120) saving(betas10y3m_nfcst_`i', replace): regress nfc_st bond10y euribor3m
	
	rolling _b _se, window(120) saving(betas10y3m_nfclt_`i', replace): regress nfc_lt bond10y euribor3m
	
	
	//Graph for HH
	use betas10y3m_hh_`i' 
		
	generate upper10y=_b_bond10y + 1.96*_se_bond10y
	generate lower10y=_b_bond10y - 1.96*_se_bond10y
	
	generate upper3m=_b_euribor3m + 1.96*_se_euribor3m
	generate lower3m=_b_euribor3m - 1.96*_se_euribor3m
	
	rename start mdate1
	
	merge 1:1 mdate1 using data_`i', keepusing(country) keep(3)
	
	save betas10y3m_hh_`i', replace
	
	levelsof country, local(country)
	
	line lower10y _b_bond10y upper10y mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs10y3m\betas10y3m1_hh_`i'.gph, replace
	
	line lower3m _b_euribor3m upper3m mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs10y3m\betas10y3m2_hh_`i'.gph, replace
	
	
	//Graph for nfcst
	use betas10y3m_nfcst_`i' 
	
	generate upper10y=_b_bond10y + 1.96*_se_bond10y
	generate lower10y=_b_bond10y - 1.96*_se_bond10y
	
	generate upper3m=_b_euribor3m + 1.96*_se_euribor3m
	generate lower3m=_b_euribor3m - 1.96*_se_euribor3m
	
	rename start mdate1
	
	merge 1:1 mdate1 using  data_`i', keepusing(country) keep(3)
	
	save betas10y3m_nfcst_`i', replace
	
	levelsof country, local(country)
	
	line lower10y _b_bond10y upper10y mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs10y3m\betas10y3m1_nfcst_`i'.gph, replace
	
	line lower3m _b_euribor3m upper3m mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs10y3m\betas10y3m2_nfcst_`i'.gph, replace
	
	//Graph for nfclt
	
	use betas10y3m_nfclt_`i' 
	
	generate upper10y=_b_bond10y + 1.96*_se_bond10y
	generate lower10y=_b_bond10y - 1.96*_se_bond10y
	
	generate upper3m=_b_euribor3m + 1.96*_se_euribor3m
	generate lower3m=_b_euribor3m - 1.96*_se_euribor3m
		
	rename start mdate1
	
	merge 1:1 mdate1 using data_`i', keepusing(country) keep(3)
	
	levelsof country, local(country)
	
	save betas10y3m_nfclt_`i', replace
	
	line lower10y _b_bond10y upper10y mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs10y3m\betas10y3m1_nfclt_`i'.gph, replace
	
	line lower3m _b_euribor3m upper3m mdate1, title(`country') lpattern("-" "l" "-") lcolor(black black black) legend(off) xtitle("")
	graph save .\graphs10y3m\betas10y3m2_nfclt_`i'.gph, replace
	
	
	clear
}


//bond combined
cd "...\graphs10y3m"
graph combine betas10y3m1_hh_1.gph betas10y3m1_hh_2.gph betas10y3m1_hh_3.gph betas10y3m1_hh_4.gph betas10y3m1_hh_5.gph betas10y3m1_hh_6.gph betas10y3m1_hh_7.gph betas10y3m1_hh_8.gph betas10y3m1_hh_9.gph betas10y3m1_hh_10.gph betas10y3m1_hh_11.gph betas10y3m1_hh_12.gph betas10y3m1_hh_13.gph betas10y3m1_hh_14.gph betas10y3m1_hh_15.gph betas10y3m1_hh_16.gph betas10y3m1_hh_17.gph betas10y3m1_hh_18.gph betas10y3m1_hh_19.gph

graph export combined_hh10y3m.png

graph combine betas10y3m1_nfcst_1.gph betas10y3m1_nfcst_2.gph betas10y3m1_nfcst_3.gph betas10y3m1_nfcst_4.gph betas10y3m1_nfcst_5.gph betas10y3m1_nfcst_6.gph betas10y3m1_nfcst_7.gph betas10y3m1_nfcst_8.gph betas10y3m1_nfcst_9.gph betas10y3m1_nfcst_10.gph betas10y3m1_nfcst_11.gph betas10y3m1_nfcst_12.gph betas10y3m1_nfcst_13.gph betas10y3m1_nfcst_14.gph betas10y3m1_nfcst_15.gph betas10y3m1_nfcst_16.gph betas10y3m1_nfcst_17.gph betas10y3m1_nfcst_18.gph betas10y3m1_nfcst_19.gph

graph export combined_nfcst10y3m.png

graph combine betas10y3m1_nfclt_1.gph betas10y3m1_nfclt_2.gph betas10y3m1_nfclt_3.gph betas10y3m1_nfclt_4.gph betas10y3m1_nfclt_5.gph betas10y3m1_nfclt_6.gph betas10y3m1_nfclt_7.gph betas10y3m1_nfclt_8.gph betas10y3m1_nfclt_9.gph betas10y3m1_nfclt_10.gph betas10y3m1_nfclt_11.gph betas10y3m1_nfclt_12.gph betas10y3m1_nfclt_13.gph betas10y3m1_nfclt_14.gph betas10y3m1_nfclt_15.gph betas10y3m1_nfclt_16.gph betas10y3m1_nfclt_17.gph betas10y3m1_nfclt_18.gph betas10y3m1_nfclt_19.gph

graph export combined_nfclt10y3m.png


//euribor combined
cd "...\graphs10y3m"
graph combine betas10y3m2_hh_1.gph betas10y3m2_hh_2.gph betas10y3m2_hh_3.gph betas10y3m2_hh_4.gph betas10y3m2_hh_5.gph betas10y3m2_hh_6.gph betas10y3m2_hh_7.gph betas10y3m2_hh_8.gph betas10y3m2_hh_9.gph betas10y3m2_hh_10.gph betas10y3m2_hh_11.gph betas10y3m2_hh_12.gph betas10y3m2_hh_13.gph betas10y3m2_hh_14.gph betas10y3m2_hh_15.gph betas10y3m2_hh_16.gph betas10y3m2_hh_17.gph betas10y3m2_hh_18.gph betas10y3m2_hh_19.gph

graph export combined_hh10y3m2.png

graph combine betas10y3m2_nfcst_1.gph betas10y3m2_nfcst_2.gph betas10y3m2_nfcst_3.gph betas10y3m2_nfcst_4.gph betas10y3m2_nfcst_5.gph betas10y3m2_nfcst_6.gph betas10y3m2_nfcst_7.gph betas10y3m2_nfcst_8.gph betas10y3m2_nfcst_9.gph betas10y3m2_nfcst_10.gph betas10y3m2_nfcst_11.gph betas10y3m2_nfcst_12.gph betas10y3m2_nfcst_13.gph betas10y3m2_nfcst_14.gph betas10y3m2_nfcst_15.gph betas10y3m2_nfcst_16.gph betas10y3m2_nfcst_17.gph betas10y3m2_nfcst_18.gph betas10y3m2_nfcst_19.gph

graph export combined_nfcst10y3m2.png

graph combine betas10y3m2_nfclt_1.gph betas10y3m2_nfclt_2.gph betas10y3m2_nfclt_3.gph betas10y3m2_nfclt_4.gph betas10y3m2_nfclt_5.gph betas10y3m2_nfclt_6.gph betas10y3m2_nfclt_7.gph betas10y3m2_nfclt_8.gph betas10y3m2_nfclt_9.gph betas10y3m2_nfclt_10.gph betas10y3m2_nfclt_11.gph betas10y3m2_nfclt_12.gph betas10y3m2_nfclt_13.gph betas10y3m2_nfclt_14.gph betas10y3m2_nfclt_15.gph betas10y3m2_nfclt_16.gph betas10y3m2_nfclt_17.gph betas10y3m2_nfclt_18.gph betas10y3m2_nfclt_19.gph

graph export combined_nfclt10y3m2.png

